/*
 * Sidebar
 *
 */

// Main wrapper
#offcanvasMainMenu,
.ds-main-sidebar {
  background-color: var(--lf-gray-100);
}

// Menus
.ds-title-menu {
  border-bottom: var(--lf-border-width) solid var(--lf-gray-300);
  font-size: $font-size-sm;
  font-weight: $font-weight-bold;
  display: block;
  margin-bottom: calc($spacer * .5);
  padding-bottom: calc($spacer * .5);
}

.ds-menu {
  li {
    padding: calc($spacer * .5) 0;
  }
  a {
    color: var(--lf-body-color);
    font-size: $font-size-sm;
    display: block;
    text-decoration: none;
  }
  svg {
    margin-right: calc($spacer * .5);
  }
  .active a {
    border-left: 2px solid currentcolor;
    // color: var(--lf-success);
    font-weight: $font-weight-bold;
    padding-left: calc($spacer / 4);
  }

}

#ds-collapse-button {
  display: none;
}

// ≥1200px
@include media-breakpoint-up(xl) {
  .ds-main-sidebar {
    transition: all 100ms;
  }
  .ds-main-sidebar {
    position: fixed;
    top: 50px;
    bottom: 0;
    width: 16rem;
    z-index: 10;
  }
  #ds-collapse-button {
    color: var(--lf-body-color);
    display: initial;
    position: absolute;
    bottom: ($spacer * 1.5);
    left: ($spacer * 1.5);
  }
  // Collapse main sidebar.
  // Same as main.scss.
  body.ds-collapse-sidebar {
    .ds-main-sidebar {
      width: ($spacer * 5);
    }
    .ds-title-menu,
    .ds-link-contain-icon span,
    #ds-collapse-button small {
      display: none;
    }
    .ds-menu {
      li {
        text-align: center;
      }
    }
    #ds-collapse-button svg {
      transform: rotate(180deg);
    }
  }
}
